Libraries required on Linux(Garoon 4.x.x and later)

Target products: Garoon 4.x.x and later

Some libraries are required to use Cybozu products on your Linux server.
You may not be able to use Cybozu products if the required libraries are not installed on your Linux server.
The required libraries to use Cybozu products can be installed automatically on your server by installing the RPM packages suitable for your OS.

For information on how to check the RPM package is installed or to install it, and the required RPM packages, see the following topics:

Checking the RPM package is installed

To check the RPM package is installed on your server:

  1. From the command line, execute the following command:

    yum -q list installed RPM package name
    

    Example:

    yum -q list installed libaio.x86_64
    
  2. Check the search results.
    If the RPM package information appears in the search results, the RPM package is installed on your server.
    Example:

    Installed Packages
    libaio.x86_64 0.3.109-12.el7 @anaconda-RedHatEnterpriseLinux-201009221801.x86_64  
    

    If the following error message appears, the RPM package is not installed on your server.

    Error: No matching Packages to list
    

Installing the RPM package

  1. Execute the following command:

    yum install RPM package name  
    

    Example:

    yum install libaio.x86_64  
    

Required RPM packages on the stand-alone server systems and the server distributed systems

Red Hat Enterprise Linux 7

RPM Package Garoon 4.10 Garoon 4.6 Garoon 4.2 Garoon 4.0
bash.x86_64 4.2.46 4.2.46 4.2.46 bash-4.2.45-5.el7.x86_64
cyrus-sasl-lib.x86_64 2.1.26 2.1.26 2.1.26 cyrus-sasl-lib-2.1.26-17.el7.x86_64
freetype.x86_64 2.4.11 2.4.11 2.4.11
glibc.x86_64 2.17 2.17 2.17 glibc-2.17-55.el7.x86_64
keyutils-libs.x86_64 1.5.8 1.5.8 1.5.8
krb5-libs.x86_64 1.15.1 1.15.1 1.12.2
libaio.x86_64 0.3.109 0.3.109 0.3.109 libaio-0.3.109-12.el7.x86_64
libcom_err.x86_64 1.42.9 1.42.9 1.42.9
libcurl.x86_64 7.29.0 7.29.0 7.29.0
libgcc.x86_64 4.8.5 4.8.5 4.8.3 libgcc-4.8.2-16.el7.x86_64
libicu.x86_64 50.1.2 50.1.2
libidn.x86_64 1.28 1.28 1.28
libjpeg-turbo.x86_64 1.2.90 1.2.90 1.2.90
libpng.x86_64 1.5.13 1.5.13 1.5.13
libselinux.x86_64 2.5 2.5 2.2.2
libssh2.x86_64 1.4.3 1.4.3 1.4.3
libstdc++.x86_64 4.8.5 4.8.5 4.8.3 libstdc++-4.8.2-16.el7.x86_64
libxml2.x86_64 2.9.1 2.9.1 2.9.1
ncurses-libs.x86_64 5.9 5.9 5.9 ncurses-libs-5.9-13.20130511.el7.x86_64
nspr.x86_64 4.19.0 4.13.1 4.10.8
nss.x86_64 3.36.0 3.28.4 3.19.1
nss-softokn-freebl.x86_64 3.36.0 3.28.3 3.16.2.3 nss-softokn-freebl-3.15.4-2.el7.x86_64
nss-util.x86_64 3.36.0 3.28.4 3.19.1
numactl-libs.x86_64 2.0.9
openldap.x86_64 2.4.44 2.4.44 2.4.39
openssl-libs.x86_64 1.0.2k 1.0.2k 1.0.1e
pcre.x86_64 8.32 8.32 8.32
perl.x86_64 5.16.3 5.16.3 perl-5.16.3-283.el7.x86_64
perl-Data-Dumper.x86_64 2.145 2.145 perl-Data-Dumper-2.145-3.el7.x86_64
xz-libs.x86_64 5.2.2 5.2.2 5.1.2
zlib.x86_64 1.2.7 1.2.7 1.2.7 zlib-1.2.7-13.el7.x86_64
-: N/A

Red Hat Enterprise Linux 6

RPM Package Garoon 4.10 Garoon 4.6 Garoon 4.2 Garoon 4.0
bash.x86_64 4.1.2 4.1.2 4.1.2 bash-4.1.2-15.el6_4.x86_64
cyrus-sasl-lib.x86_64 2.1.23 2.1.23 2.1.23 cyrus-sasl-lib-2.1.23-13.el6_3.1.x86_64
freetype.x86_64 2.3.11 2.3.11 2.3.11 freetype-2.3.11-14.el6_3.1.x86_64
glibc.x86_64 2.12 2.12 2.12 glibc-2.12-1.132.el6.x86_64
keyutils-libs.x86_64 1.4 1.4 1.4 keyutils-libs-1.4-4.el6.x86_64
krb5-libs.x86_64 1.10.3 1.10.3 1.10.3 krb5-libs-1.10.3-10.el6_4.6.x86_64
libaio.x86_64 0.3.107 0.3.107 0.3.107 libaio-0.3.107-10.el6.x86_64
libcom_err.x86_64 1.41.12 1.41.12 1.41.12 libcom_err-1.41.12-18.el6.x86_64
libcurl.x86_64 7.19.7 7.19.7 7.19.7 libcurl-7.19.7-37.el6_4.x86_64
libgcc.x86_64 4.4.7 4.4.7 4.4.7 libgcc-4.4.7-4.el6.x86_64
libicu.x86_64 4.2.1 4.2.1
libidn.x86_64 1.18 1.18 1.18 libidn-1.18-2.el6.x86_64
libjpeg-turbo.x86_64 1.2.1 1.2.1 1.2.1 libjpeg-turbo-1.2.1-3.el6_5.x86_64
libpng.x86_64 1.2.49 1.2.49 1.2.49 libpng-1.2.49-1.el6_2.x86_64
libselinux.x86_64 2.0.94 2.0.94 2.0.94 libselinux-2.0.94-5.3.el6_4.1.x86_64
libssh2.x86_64 1.4.2 1.4.2 1.4.2 libssh2-1.4.2-1.el6.x86_64
libstdc++.x86_64 4.4.7 4.4.7 4.4.7 libstdc++-4.4.7-4.el6.x86_64
libxml2.x86_64 2.7.6 2.7.6 2.7.6 libxml2-2.7.6-14.el6.x86_64
ncurses-libs.x86_64 5.7 5.7 5.7 ncurses-libs-5.7-3.20090208.el6.x86_64
nspr.x86_64 4.19.0 4.11.0 4.10.8 nspr-4.10.0-1.el6.x86_64
nss.x86_64 3.36.0 3.21.0 3.19.1 nss-3.15.1-15.el6.x86_64
nss-softokn-freebl.x86_64 3.14.3 3.14.3 3.14.3 nss-softokn-freebl-3.14.3-9.el6.x86_64
nss-util.x86_64 3.36.0 3.21.0 3.19.1 nss-util-3.15.1-3.el6.x86_64
numactl.x86_64 2.0.9
openldap.x86_64 2.4.40 2.4.40 2.4.40 openldap-2.4.23-32.el6_4.1.x86_64
openssl.x86_64 1.0.1e 1.0.1e 1.0.1e openssl-1.0.1e-15.el6.x86_64
perl.x86_64 5.10.1 5.10.1 perl-5.10.1-136.el6_6.1.x86_64
zlib.x86_64 1.2.3 1.2.3 1.2.3 zlib-1.2.3-29.el6.x86_64
-: N/A

Red Hat Enterprise Linux 5

Garoon Version 4.2 Garoon Version 4.0 Notes
RPM Package Version
bash.x86_64 3.2 bash-3.2-32.el5_9.1.x86_64  
curl.x86_64 7.15.5 - Added to the required package list at version 4.2.0.
cyrus-sasl-lib.x86_64 2.1.22 cyrus-sasl-lib-2.1.22-7.el5_8.1.x86_64 Added to the required package list at version 4.0.0.
e2fsprogs-libs.x86_64 1.39 - Added to the required package list at version 4.2.0.
freetype.x86_64 2.2.1 - Added to the required package list at version 4.2.0.
glibc.x86_64 2.5 glibc-2.5-118.x86_64  
keyutils-libs.x86_64 1.2 - Added to the required package list at version 4.2.0.
krb5-libs.x86_64 1.6.1 - Added to the required package list at version 4.2.0.
libaio.x86_64 0.3.106 libaio-0.3.106-5.x86_64  
libgcc.x86_64 4.1.2 libgcc-4.1.2-54.el5.x86_64 Added to the required package list at version 4.0.0.
libidn.x86_64 0.6.5 - Added to the required package list at version 4.2.0.
libjpeg.x86_64 6b - Added to the required package list at version 4.2.0.
libpng.x86_64 1.2.10 - Added to the required package list at version 4.2.0.
libselinux.x86_64 1.33.4 - Added to the required package list at version 4.2.0.
libsepol.x86_64 1.15.2 - Added to the required package list at version 4.2.0.
libstdc++.x86_64 4.1.2 libstdc++-4.1.2-54.el5.x86_64 Added to the required package list at version 4.0.0.
libxml2.x86_64 2.6.26 - Added to the required package list at version 4.2.0.
ncurses.x86_64 5.5 ncurses-5.5-24.20060715.x86_64  
openldap.x86_64 2.3.43 - Added to the required package list at version 4.2.0.
openssl.x86_64 0.9.8e - Added to the required package list at version 4.2.0.
perl.x86_64 5.8.8 perl-5.8.8-43.el5_11.x86_64 Added to the required package list at version 4.0.0.
zlib.x86_64 1.2.3 zlib-1.2.3-7.el5.x86_64 Added to the required package list at version 4.0.0.
-: N/A